Skip to main content
PUT
Update Content Block

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.

  • Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
  • Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.

For more information on authentication and getting your credentials, refer here.

Headers

MOE-APPKEY
string
required

This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).

Body

application/json

The updated details for the content block.

id
string
required

ID of the content block that you want to update

name
string
required

Name of the content block

status
enum<string>
required

Status of the content block - DRAFT/ACTIVE

Available options:
ACTIVE,
DRAFT
raw_content
string
required

Content of the content block. ContentApi.* Jinja calls are not supported in raw_content. Using them will cause the request to fail with a 400 error.

updated_by
string<email>
required

Email id of the user who is updating the content block

content_type
enum<string>

Type of the content block, set at creation time. content_type cannot be changed via this API. Including a different value in an update request fails with a 400 error: "Changing content type is not supported in update api".

Available options:
HTML,
TEXT
description
string

Description of the content block

tag_ids
string[]

Tags associated to the content block

team_ids
string[]

Teams for which the content block should be available. Passing team id is mandatory if you are using multiple Teams. Pass the internal team ID (for example, 69fb3d7d66ea00bdb35da08e), not the team's display name. For more information, refer to Teams.

content_block_used
string[]

In case, you are using nested content blocks, provide the names of the other content blocks used in this content block. If you are not using nested content blocks, you can pass this as an empty array: content_block_used : []

images_used
object

An image referenced within the content block.

content_json
object

Structured JSON representation of the content block's content, as used by the drag-and-drop builder on the MoEngage dashboard. This field is optional and currently populated by the MoEngage dashboard for content blocks built visually. It is not required when creating a content block via this API using raw_content.

Response

Success. The response body is empty.